Subject: Re: [PATCH v3 2/2] vhost-vdpa: fix page pinning leakage in error path

From: si-wei liu <[email-masked]>
Date: Thu, 29 Oct 2020 16:22:31 -0700

On 10/29/2020 2:53 PM, Michael S. Tsirkin wrote:
> On Thu, Oct 15, 2020 at 01:17:14PM -0700, si-wei liu wrote:
>> On 10/15/2020 6:11 AM, Michael S. Tsirkin wrote:
>>> On Thu, Oct 15, 2020 at 02:15:32PM +0800, Jason Wang wrote:
>>>> On 2020/10/14 上午7:42, si-wei liu wrote:
>>>>>> So what I suggest is to fix the pinning leakage first and do the
>>>>>> possible optimization on top (which is still questionable to me).
>>>>> OK. Unfortunately, this was picked and got merged in upstream. So I will
>>>>> post a follow up patch set to 1) revert the commit to the original
>>>>> __get_free_page() implementation, and 2) fix the accounting and leakage
>>>>> on top. Will it be fine?
>>>> Fine.
>>>>
>>>> Thanks
>>> Fine by me too.
>>>
>> Thanks, Michael & Jason. I will post the fix shortly. Stay tuned.
>>
>> -Siwei
> did I miss the patch?
>
You didn't, sorry. I was looking into a way to speed up the boot time 
for large memory guest by multi-threading the page pinning process, and 
it turns out I need more time on that. Will post the fix I have now 
soon, hopefully tomorrow.

-Siwei